moDrawPage2 = {};

function moDrawPage2:setOpenPage(self)	
	local hotSpot = moSetGetGui.page[2].hotSpot;	
	local posX = moSetGetGui.page[2].posX+0.001;
	local posY = moSetGetGui.page[2].posY;
	local size = moSetGetGui.page[2].size;
	local widthSettings = moSetGetGui.buttonGfxWidth1*moSetGetGui.zoomOutInTemp*4;
	local heightSettings = moSetGetGui.buttonGfxHeight1*moSetGetGui.zoomOutInTemp*4;	
	local height = moSetGetGui.buttonGfxHeight1*(size*1000);
	local heightDefault = moSetGetGui.buttonGfxHeight1*(size*1000);
	local distanceDif = 0.002;
	local page2Length = moSetGetGui.buttonGfxWidth1*(size*1000/1.5)*(50+moSetGetGui.screenAspectRatio); --moSetGetGui.buttonGfxWidth1*(size*1000/2)*(moGeneralSettings.lengthFruitName);	
	local width = page2Length+distanceDif;
	local widthNext = 0;
	local currentPosY = posY;	
	function nextLine(setHeight, posYnew, setLine, posYline, widthLine, heightLine, onlyLine)
		if setLine then
			moSetGetGui:setOverlay(self, moSetGetGui["designLine"], posX+widthNext-0.001, currentPosY-(posYline), widthLine, heightLine);
			moSetGetGui["designLine"]:render();
			if onlyLine then return;end;
		end;		
		if setHeight then height = height+(heightDefault)+posYnew;end; --height+size+posNew;
		currentPosY = currentPosY-(heightDefault)-posYnew; --posY-(size+posYnew);		
	end;	
	moSetGetGui["designGround"]:render();
	--settings
	moSetGetGui["slotPos"]:setPosition(posX, posY);
	moSetGetGui["slotPos"]:render();
	moSetGetGui["slotNextL"]:setPosition(posX+(widthSettings*2), posY);
	moSetGetGui["slotNextL"]:render();
	moSetGetGui["slotNextR"]:setPosition(posX+(widthSettings*4), posY);
	moSetGetGui["slotNextR"]:render();
	setTextBold(true);
	setTextColor(unpack(moGuiMiniPdaSlots.siloColor));
	local sizeTemp = 0.011;
	if size < sizeTemp then sizeTemp = size;end;
	renderText(posX+(widthSettings*3.2), posY+0.0035, sizeTemp, tostring(moSetGetGui.page[2].switch));	
	--settings
	local dayMission = g_currentMission.environment.currentDay;
	if moSetGetGui.page[2].switch == 1 then
		--settings
		local isActive = false;
		local page2Text = "";
		if MultiOverlayV2.isMp or MultiOverlayV2.loadHostServer then
			setTextColor(unpack(moGuiMiniPdaSlots.warningColor3));
			if not MultiOverlayV2.event.greatDemand_s then				
				page2Text = moLanguageXml:getTxt("d_demandoffserver", 50, "disabled Server");
			else
				if not MultiOverlayV2.event.greatDemand_c then
					page2Text = moLanguageXml:getTxt("d_demandoffclient", 50, "disabled Client")
				else
					setTextColor(unpack(moGuiMiniPdaSlots.inactiveColor));
					isActive = true;
					page2Text = moLanguageXml:getTxt("d_greatdemand", 50, "GreatDemand")
				end;
			end;
		else
			if not MultiOverlayV2.event.greatDemand_c then
				setTextColor(unpack(moGuiMiniPdaSlots.warningColor3));
				page2Text = moLanguageXml:getTxt("d_demandoffclient", 50, "disabled Client")
			else
				setTextColor(unpack(moGuiMiniPdaSlots.inactiveColor));
				isActive = true;
				page2Text = moLanguageXml:getTxt("d_greatdemand", 50, "GreatDemand")
			end;
		end;				
		--settings
		if isActive then			
			local greatDemand = 0;
			if moDemand ~= nil and table.getn(moDemand) > 2 then greatDemand = moDemand.isRunning;setTextColor(unpack(moGuiMiniPdaSlots.activeColor));end;
			renderText(posX+(widthSettings*5.2), posY+0.0035, sizeTemp, tostring(page2Text).. ": ".. tostring(greatDemand));
			nextLine(true, 0.005, true, 0.004, width, 0.001);
			if moDemand.allDemands ~= 0 then
				for a=1, moDemand.allDemands do
					if moDemand[a] ~= nil and moDemand[a].isRunning ~= nil then
						if moDemand[a].isRunning then 
							setTextColor(unpack(moGuiMiniPdaSlots.warningColor0));
							renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("station", nil, "Station")).. tostring(moDemand[a].stationName));
							nextLine(true, 0.007, false);
							renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("fruit", nil, "Fruit")).. ": ".. tostring(moDemand[a].fillTypeName));
							nextLine(true, 0.007, false);
							local demandMultiplier = string.format("%.2f", Utils.getNoNil(moDemand[a].demandMultiplier,0));
							renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("d_factor", nil, "Factor")).. ": x".. tostring(demandMultiplier));
							nextLine(true, 0.007, false);
							renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("times", nil, "Times")).. ": ".. tostring(moDemand[a].demandDuration).. "h");
							nextLine(true, 0.007, true, 0.005, width, 0.001);
						else
							setTextColor(unpack(moGuiMiniPdaSlots.warningColor2));
							renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("station", nil, "Station")).. tostring(moDemand[a].stationName));
							nextLine(true, 0.007, false);
							renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("fruit", nil, "Fruit")).. ": ".. tostring(moDemand[a].fillTypeName));
							nextLine(true, 0.007, false);
							local day = moLanguageXml:getTxt("day".. math.mod(moDemand[a].startDay, 7), nil, "Day");
							renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("day", nil, "Day")).. ": ".. tostring(moDemand[a].startDay).. tostring(day).. " ".. tostring(moLanguageXml:getTxt("at", nil, "at")).. " ".. tostring(moDemand[a].startDay-dayMission).. " ".. tostring(moLanguageXml:getTxt("days", nil, "Days")));
							nextLine(true, 0.007, false);
							renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("hours", nil, "Hours")).. ": ".. tostring(moDemand[a].startHour).. ":00");
							nextLine(true, 0.007, false);
							local demandMultiplier = string.format("%.2f", Utils.getNoNil(moDemand[a].demandMultiplier,0));
							renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("d_factor", nil, "Factor")).. ": x".. tostring(demandMultiplier));
							nextLine(true, 0.007, false);
							renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("times", nil, "Time")).. ": ".. tostring(moDemand[a].demandDuration).. "h");
							nextLine(true, 0.007, true, 0.005, width, 0.001);
						end;
					end;
				end;
			else
				setTextColor(unpack(moGuiMiniPdaSlots.warningColor2));
				renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("d_demandnotfound", nil, "Not Found GreatDemand")));
				nextLine(true, 0.007, false);
			end;
		else
			renderText(posX+(widthSettings*5.2), posY+0.0035, sizeTemp, tostring(page2Text));
			nextLine(true, 0.005, true, 0.004, width, 0.001);
		end;		
	end;
	
	if moSetGetGui.page[2].switch == 2 then
		--settings
		local isActive = false;
		local page2Text = "";
		if MultiOverlayV2.isMp or MultiOverlayV2.loadHostServer then
			setTextColor(unpack(moGuiMiniPdaSlots.warningColor3));
			if not MultiOverlayV2.event.discount_s then				
				page2Text = moLanguageXml:getTxt("d_discountoffserver", 50, "disabled Server");
			else
				if not MultiOverlayV2.event.discount_c then
					page2Text = moLanguageXml:getTxt("d_discountoffclient", 50, "disabled Client")
				else
					setTextColor(unpack(moGuiMiniPdaSlots.warningColor0));				
					isActive = true;
					page2Text = moLanguageXml:getTxt("d_discount", 50, "GreatDemand")
				end;
			end;
		else
			if not MultiOverlayV2.event.discount_c then
				setTextColor(unpack(moGuiMiniPdaSlots.warningColor3));
				page2Text = moLanguageXml:getTxt("d_discountoffclient", 50, "disabled Client")
			else
				setTextColor(unpack(moGuiMiniPdaSlots.warningColor0));
				isActive = true;				
				page2Text = moLanguageXml:getTxt("d_discount", 50, "Discount")
			end;
		end;				
		--settings		
		if isActive then
			renderText(posX+(widthSettings*5.2), posY+0.0035, sizeTemp, tostring(page2Text));
			nextLine(true, 0.005, true, 0.004, width, 0.001);
			local greatSales = 0;
			if moSales ~= nil and table.getn(moSales) > 2 then greatSales = moSales.isRunning;setTextColor(unpack(moGuiMiniPdaSlots.activeColor));end;
			renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("d_brandbuy", nil, "BrandBuy")).. ": ".. tostring(greatSales));
			nextLine(true, 0.005, true, 0.004, width, 0.001);		
			if moSales.allSales ~= 0 then
				for a=1, moSales.allSales do					
					if moSales[a] ~= nil and moSales[a].isRunning ~= nil then
						if moSales[a].isRunning then 
							setTextColor(unpack(moGuiMiniPdaSlots.warningColor0));
							renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("d_brandname", nil, "BrandName")).. ": ".. tostring(moSales[a].brandName));
							nextLine(true, 0.007, false);
							renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("d_brandtype", nil, "BrandType")).. ": ".. tostring(moSales[a].brandTypeName).. " (".. tostring(moSales[a].brandCategory).. ")");
							nextLine(true, 0.007, false);
							local discount = string.format("%.0f", Utils.getNoNil(moSales[a].discount,0));
							renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("d_discount", nil, "Discount")).. ": -".. tostring(discount).. "%");
							nextLine(true, 0.007, false);
							renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("d_brandprice", nil, "BrandPrice")).. ": ".. tostring(g_i18n:formatMoney(moSales[a].oldPrice)).. " (".. tostring(g_i18n:formatMoney(moSales[a].newPrice)).. ")");
							nextLine(true, 0.007, false);
							renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("times", nil, "Time")).. ": ".. tostring(moSales[a].saleDuration).. "h");
							nextLine(true, 0.007, true, 0.005, width, 0.001);
						else
							setTextColor(unpack(moGuiMiniPdaSlots.warningColor2));
							renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("d_brandname", nil, "BrandName")).. ": ".. tostring(moSales[a].brandName));
							nextLine(true, 0.007, false);
							renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("d_brandtype", nil, "BrandType")).. ": ".. tostring(moSales[a].brandTypeName).. " (".. tostring(moSales[a].brandCategory).. ")");
							nextLine(true, 0.007, false);
							local day = moLanguageXml:getTxt("day".. math.mod(moSales[a].startDay, 7), nil, "Day");							
							renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("day", nil, "Day")).. ": ".. tostring(moSales[a].startDay).. tostring(day).. " ".. tostring(moLanguageXml:getTxt("at", nil, "at")).. " ".. tostring(moSales[a].startDay-dayMission).. " ".. tostring(moLanguageXml:getTxt("days", nil, "Days")));
							nextLine(true, 0.007, false);					
							renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("hours", nil, "Hours")).. ": ".. tostring(moSales[a].startHour).. ":00");
							nextLine(true, 0.007, false);
							local discount = string.format("%.0f", Utils.getNoNil(moSales[a].discount,0));
							renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("d_discount", nil, "Discount")).. ": -".. tostring(discount).. "%");
							nextLine(true, 0.007, false);
							renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("d_brandprice", nil, "BrandPrice")).. ": ".. tostring(g_i18n:formatMoney(moSales[a].oldPrice)).. " (".. tostring(g_i18n:formatMoney(moSales[a].newPrice)).. ")");
							nextLine(true, 0.007, false);					
							renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("times", nil, "Time")).. ": ".. tostring(moSales[a].saleDuration).. "h");
							nextLine(true, 0.007, true, 0.005, width, 0.001);
						end;
					end;
				end;
			end;
			if moBrandSales ~= nil then
				setTextColor(unpack(moGuiMiniPdaSlots.inactiveColor));
				local brandSales = 0;
				if moBrandSales ~= nil then brandSales = 1;setTextColor(unpack(moGuiMiniPdaSlots.activeColor));end;
				renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("d_brandsales", nil, "BrandSales")).. ": ".. tostring(brandSales));
				nextLine(true, 0.007, true, 0.005, width, 0.001);								
				if moBrandSales.isRunning ~= nil then
					if moBrandSales.isRunning then 
						setTextColor(unpack(moGuiMiniPdaSlots.warningColor0));
						renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("d_brandname", nil, "BrandName")).. ": ".. tostring(moBrandSales.brandName));
						nextLine(true, 0.007, false);	
						renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("d_brandtype", nil, "BrandType")).. ": ".. tostring(moBrandSales.brandTypeName).. " (".. tostring(moBrandSales.brandCategory).. ")");
						nextLine(true, 0.007, false);	
						local discount = string.format("%.0f", Utils.getNoNil(moBrandSales.discount,0));
						renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("d_discount", nil, "Discount")).. ": +".. tostring(discount).. "%");
						nextLine(true, 0.007, false);	
						renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("d_brandprice", nil, "BrandPrice")).. ": ".. tostring(g_i18n:formatMoney(moBrandSales.oldPrice)).. " (".. tostring(g_i18n:formatMoney(moBrandSales.newPrice)).. ")");
						nextLine(true, 0.007, false);					
						renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("times", nil, "Time")).. ": ".. tostring(moBrandSales.saleDuration).. "h");
						nextLine(true, 0.007, true, 0.005, width, 0.001);
					else
						setTextColor(unpack(moGuiMiniPdaSlots.warningColor2));
						renderText(posX, currentPosY, size, tostring(moBrandSales.brandName));
						nextLine(true, 0.007, false);	
						renderText(posX, currentPosY, size, tostring(moBrandSales.brandTypeName).. " (".. tostring(moBrandSales.brandCategory).. ")");
						nextLine(true, 0.007, false);
						local day = moLanguageXml:getTxt("day".. math.mod(moBrandSales.startDay, 7), nil, "Day");							
						renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("day", nil, "Day")).. ": ".. tostring(moBrandSales.startDay).. tostring(day).. " ".. tostring(moLanguageXml:getTxt("at", nil, "at")).. " ".. tostring(moBrandSales.startDay-dayMission).. " ".. tostring(moLanguageXml:getTxt("days", nil, "Days")));
						nextLine(true, 0.007, false);	
						renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("hours", nil, "Hours")).. ": ".. tostring(moBrandSales.startHour).. ":00");
						nextLine(true, 0.007, false);	
						local discount = string.format("%.0f", Utils.getNoNil(moBrandSales.discount,0));
						renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("d_discount", nil, "Discount")).. ": +".. tostring(discount).. "%");
						nextLine(true, 0.007, false);	
						renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("d_brandprice", nil, "BrandPrice")).. ": ".. tostring(g_i18n:formatMoney(moBrandSales.oldPrice)).. " (".. tostring(g_i18n:formatMoney(moBrandSales.newPrice)).. ")");
						nextLine(true, 0.007, false);	
						renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("times", nil, "Time")).. ": ".. tostring(moBrandSales.saleDuration).. "h");
						nextLine(true, 0.007, true, 0.005, width, 0.001);
					end;
				end;				
			end;
			if moSales.allSales == 0 and moBrandSales.isRunning == nil then
				setTextColor(unpack(moGuiMiniPdaSlots.warningColor2));
				renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("d_discountnotfound", nil, "Not Found Discount")));
				nextLine(true, 0.007, false);
			end;
		else
			renderText(posX+(widthSettings*5.2), posY+0.0035, sizeTemp, tostring(page2Text));
			nextLine(true, 0.005, true, 0.004, width, 0.001);
		end;		
	end;
	local lastFirstY = 0;
	local moreLine = 0;
	if moSetGetGui.page[2].switch == 3 then
		local page2Text = "";	
		setTextColor(unpack(moGuiMiniPdaSlots.warningColor3));
		local mbo = false;
		--if MapBuyableObject ~= nil and #MapBuyableObject.ObjectBuy.drawParts >= 1 then
		--	if MapBuyableObject.masterTriggerAllowed == 2 then			
		--		page2Text = moLanguageXml:getTxt("mb_mapbuyableoff", 50, "MapBuyableObject(disabled): ".. tostring(#MapBuyableObject.ObjectBuy.drawParts));
		--	else
		--		setTextColor(unpack(moGuiMiniPdaSlots.warningColor0));
		--		page2Text = moLanguageXml:getTxt("mb_mapbuyableon", 50, "MapBuyableObjects: ".. tostring(#MapBuyableObject.ObjectBuy.drawParts));
		--		mbo = true;
		--	end;
		--else
		--	page2Text = moLanguageXml:getTxt("mb_mapbuyableno", 50, "MapBuyableObject(Not Found)");
		--end;
		
		local mboCf = false;
		if moGeneralSettings.companyFactoryBuyable then			
			setTextColor(unpack(moGuiMiniPdaSlots.warningColor0));
			page2Text = moLanguageXml:getTxt("mb_mapbuyableon", 50, "MapBuyableObjects: ".. tostring(#moMapObjects.cfBuyable));
			mboCf = true;			
		else
			page2Text = moLanguageXml:getTxt("mb_mapbuyableno", 50, "MapBuyableObject(Not Found)");
		end;
		
		renderText(posX+(widthSettings*6.3), posY+0.0035, sizeTemp, tostring(page2Text));
		nextLine(true, 0.007, true, 0.004, width, 0.001);
		if mboCf then
			if hotSpot then moSetGetGui.page[2].clickArea.hotSpot = {};moSetGetGui.page[2].clickArea.mboBuyShowGui = {};end;
			--settings
			if not moSetGetGui.page[2].hotSpot then
				moSetGetGui["slotHotSpot"]:setPosition(posX+(widthSettings*1), posY);
				moSetGetGui["slotHotSpot"]:render();
				moSetGetGui["slotNotOkay"]:setPosition(posX+(widthSettings*1), posY);
				moSetGetGui["slotNotOkay"]:render();
			else
				if moGuiMiniPdaSlots.isHotSpotObj then
					if moGuiMiniPdaSlots.hotSpotBlinkTemp <= moGuiMiniPdaSlots.hotSpotBlinkTime then --warningBlinkTime, warningBlinkTemp
						moGuiMiniPdaSlots.hotSpotBlinkTemp = moGuiMiniPdaSlots.hotSpotBlinkTemp+1			
						moSetGetGui["slotHotSpot"]:setPosition(posX+(widthSettings*1), posY);
						moSetGetGui["slotHotSpot"]:render();			
					else
						moGuiMiniPdaSlots.hotSpotBlinkTemp = moGuiMiniPdaSlots.hotSpotBlinkTemp+1
						if moGuiMiniPdaSlots.hotSpotBlinkTemp >= moGuiMiniPdaSlots.hotSpotBlinkTime*2 then moGuiMiniPdaSlots.hotSpotBlinkTemp = 0;end;
					end;
				else
					moSetGetGui["slotHotSpot"]:setPosition(posX+(widthSettings*1), posY);
					moSetGetGui["slotHotSpot"]:render();
				end;				
			end;
			moSetGetGui["slotPlus"]:setPosition(posX+(widthSettings*5), posY);
			moSetGetGui["slotPlus"]:render();
			if not moSetGetGui.page[2].mboIncomePrice then
				moSetGetGui["slotNotOkay"]:setPosition(posX+(widthSettings*5), posY);
				moSetGetGui["slotNotOkay"]:render();				
			end;
			--settings
			local saveFirstY = currentPosY;
			local setHeight = true;	
			local line = 30;			
			local money = g_currentMission.missionStats.money;
			for a=1, #moMapObjects.cfBuyable do --#MapBuyableObject.ObjectBuy.drawParts do
				if a > tonumber(line) then line = line+30;setHeight = false;lastFirstY = currentPosY;currentPosY = saveFirstY;widthNext = widthNext+width+0.002;end;
				local objectName = moMapObjects.cfBuyable[a].name; --MapBuyableObject.ObjectBuy.drawParts[a].headlineText;
				local x,z = moMapObjects.cfBuyable[a].x, moMapObjects.cfBuyable[a].z; --getWorldTranslation(MapBuyableObject.ObjectBuy.drawParts[a].triggerId);				
				if hotSpot then moDrawPage2:setClickAreaHotSpot(self, posX+widthNext, currentPosY, width/2, heightDefault, x, z, objectName);end;
				local objectPrice = g_i18n:formatMoney(moMapObjects.cfBuyable[a].priceObject);
				local hourIncome = nil;
				--if MapBuyableObject.ObjectBuy.drawParts[a].hasHourIncome and MapBuyableObject.ObjectBuy.drawParts[a].hourIncome ~= nil and MapBuyableObject.ObjectBuy.drawParts[a].hourIncome > 0 then
				--	hourIncome = g_i18n:formatMoney(MapBuyableObject.ObjectBuy.drawParts[a].hourIncome);
				--end;
				local isBuy = moMapObjects.cfBuyable[a].isBought;
				setTextColor(unpack(moGuiMiniPdaSlots.warningColor3));
				setTextBold(true);
				if isBuy then 
					setTextColor(unpack(moGuiMiniPdaSlots.inactiveColor));
					setTextBold(false);			
				end;
				renderText(posX+widthNext, currentPosY, size, tostring(objectName));
				setTextColor(unpack(moGuiMiniPdaSlots.warningColor0));
				if not isBuy then 
					setTextBold(true);
					if money < moMapObjects.cfBuyable[a].priceObject then 
						setTextColor(unpack(moGuiMiniPdaSlots.warningColor3));
					else
						if hotSpot then moDrawPage2:setClickAreaBuyShowGui(self, posX+widthNext+width/2, currentPosY, width/2, heightDefault, moMapObjects.cfBuyable[a]);end;
					end;
					if moMapObjects.cfBuyable[a].priceObject <= 0 then objectPrice = tostring("----");end;
				else
					setTextBold(false);
					objectPrice = tostring("----");
				end;
				setTextAlignment(2);
				renderText(posX+width+widthNext-distanceDif, currentPosY, size, tostring(objectPrice));
				setTextAlignment(0);
				if hourIncome ~= nil and moSetGetGui.page[2].mboIncomePrice then					
					nextLine(setHeight, 0.007, false);
					if lastFirstY+(moreLine*(0.007+heightDefault)) > currentPosY then moreLine = moreLine+1;end;
					setTextBold(false);
					setTextColor(unpack(moGuiMiniPdaSlots.bestPriceColor));
					renderText(posX+widthNext, currentPosY, size, tostring(moLanguageXml:getTxt("greenhousels", nil, "HoursIncome")));
					setTextColor(unpack(moGuiMiniPdaSlots.siloColor));
					setTextAlignment(3);
					renderText(posX+width+widthNext+-distanceDif, currentPosY, size, tostring(hourIncome));
					setTextAlignment(0);					
				end;
				nextLine(setHeight, 0.007, true, 0.004, width, 0.001);
				if lastFirstY+(moreLine*(0.007+heightDefault)) > currentPosY then moreLine = moreLine+1;end;
			end;
		end;		
		
		if mbo then
			if hotSpot then moSetGetGui.page[2].clickArea.hotSpot = {};moSetGetGui.page[2].clickArea.mboBuyShowGui = {};end;
			--settings
			if not moSetGetGui.page[2].hotSpot then
				moSetGetGui["slotHotSpot"]:setPosition(posX+(widthSettings*1), posY);
				moSetGetGui["slotHotSpot"]:render();
				moSetGetGui["slotNotOkay"]:setPosition(posX+(widthSettings*1), posY);
				moSetGetGui["slotNotOkay"]:render();
			else
				if moGuiMiniPdaSlots.isHotSpotObj then
					if moGuiMiniPdaSlots.hotSpotBlinkTemp <= moGuiMiniPdaSlots.hotSpotBlinkTime then --warningBlinkTime, warningBlinkTemp
						moGuiMiniPdaSlots.hotSpotBlinkTemp = moGuiMiniPdaSlots.hotSpotBlinkTemp+1			
						moSetGetGui["slotHotSpot"]:setPosition(posX+(widthSettings*1), posY);
						moSetGetGui["slotHotSpot"]:render();			
					else
						moGuiMiniPdaSlots.hotSpotBlinkTemp = moGuiMiniPdaSlots.hotSpotBlinkTemp+1
						if moGuiMiniPdaSlots.hotSpotBlinkTemp >= moGuiMiniPdaSlots.hotSpotBlinkTime*2 then moGuiMiniPdaSlots.hotSpotBlinkTemp = 0;end;
					end;
				else
					moSetGetGui["slotHotSpot"]:setPosition(posX+(widthSettings*1), posY);
					moSetGetGui["slotHotSpot"]:render();
				end;				
			end;
			moSetGetGui["slotPlus"]:setPosition(posX+(widthSettings*5), posY);
			moSetGetGui["slotPlus"]:render();
			if not moSetGetGui.page[2].mboIncomePrice then
				moSetGetGui["slotNotOkay"]:setPosition(posX+(widthSettings*5), posY);
				moSetGetGui["slotNotOkay"]:render();				
			end;
			--settings
			local saveFirstY = currentPosY;
			local setHeight = true;	
			local line = 30;			
			local money = g_currentMission.missionStats.money;
			for a=1, #MapBuyableObject.ObjectBuy.drawParts do
				if a > tonumber(line) then line = line+30;setHeight = false;lastFirstY = currentPosY;currentPosY = saveFirstY;widthNext = widthNext+width+0.002;end;
				local objectName = MapBuyableObject.ObjectBuy.drawParts[a].headlineText;
				local x,_,z = getWorldTranslation(MapBuyableObject.ObjectBuy.drawParts[a].triggerId);				
				if hotSpot then moDrawPage2:setClickAreaHotSpot(self, posX+widthNext, currentPosY, width/2, heightDefault, x, z, objectName);end;
				local objectPrice = g_i18n:formatMoney(MapBuyableObject.ObjectBuy.drawParts[a].priceObject);
				local hourIncome = nil;
				if MapBuyableObject.ObjectBuy.drawParts[a].hasHourIncome and MapBuyableObject.ObjectBuy.drawParts[a].hourIncome ~= nil and MapBuyableObject.ObjectBuy.drawParts[a].hourIncome > 0 then
					hourIncome = g_i18n:formatMoney(MapBuyableObject.ObjectBuy.drawParts[a].hourIncome);
				end;
				local isBuy = MapBuyableObject.ObjectBuy.drawParts[a].objectsBuyed;
				setTextColor(unpack(moGuiMiniPdaSlots.warningColor3));
				setTextBold(true);
				if isBuy then 
					setTextColor(unpack(moGuiMiniPdaSlots.inactiveColor));
					setTextBold(false);			
				end;
				renderText(posX+widthNext, currentPosY, size, tostring(objectName));
				setTextColor(unpack(moGuiMiniPdaSlots.warningColor0));
				if not isBuy then 
					setTextBold(true);
					if money < MapBuyableObject.ObjectBuy.drawParts[a].priceObject then 
						setTextColor(unpack(moGuiMiniPdaSlots.warningColor3));
					else
						if hotSpot then moDrawPage2:setClickAreaBuyShowGui(self, posX+widthNext+width/2, currentPosY, width/2, heightDefault, MapBuyableObject.ObjectBuy.drawParts[a]);end;
					end;
					if MapBuyableObject.ObjectBuy.drawParts[a].priceObject <= 0 then objectPrice = tostring("----");end;
				else
					setTextBold(false);
					objectPrice = tostring("----");
				end;
				setTextAlignment(3);
				renderText(posX+width+widthNext-distanceDif, currentPosY, size, tostring(objectPrice));
				setTextAlignment(0);
				if hourIncome ~= nil and moSetGetGui.page[2].mboIncomePrice then					
					nextLine(setHeight, 0.007, false);
					if lastFirstY+(moreLine*(0.007+heightDefault)) > currentPosY then moreLine = moreLine+1;end;
					setTextBold(false);
					setTextColor(unpack(moGuiMiniPdaSlots.bestPriceColor));
					renderText(posX+widthNext, currentPosY, size, tostring(moLanguageXml:getTxt("greenhousels", nil, "HoursIncome")));
					setTextColor(unpack(moGuiMiniPdaSlots.siloColor));
					setTextAlignment(3);
					renderText(posX+width+widthNext+-distanceDif, currentPosY, size, tostring(hourIncome));
					setTextAlignment(0);					
				end;
				nextLine(setHeight, 0.007, true, 0.004, width, 0.001);
				if lastFirstY+(moreLine*(0.007+heightDefault)) > currentPosY then moreLine = moreLine+1;end;
			end;	
		end;		
	end;
	if lastFirstY == 0 then
		moSetGetGui:setOverlay(self, moSetGetGui["designGround"], posX-0.001, currentPosY, width+widthNext, height+heightSettings);
	else
		moSetGetGui:setOverlay(self, moSetGetGui["designGround"], posX-0.001, lastFirstY, width+widthNext, height+heightSettings+(moreLine*(0.007+heightDefault)));
	end;
	moMouseClickAreas.dragDropPos["page2"] = {width=width+widthNext, height=height+heightSettings};
	setTextBold(false);
	setTextColor(1,1,1,1);
	setTextAlignment(0);
	--renderText(false);	
end;

function moDrawPage2:setClickAreaHotSpot(self, posX, posY, horizontal, vertical, objX, objZ, name)	
	if objX == nil or objZ == nil then return;end;
	local a = Utils.getNoNil(table.getn(moSetGetGui.page[2].clickArea.hotSpot), 0);	
	moSetGetGui.page[2].clickArea.hotSpot[a+1] = { posX, posX+(horizontal), posY, posY+(vertical), objX, objZ, name };
end;

function moDrawPage2:setClickAreaBuyShowGui(self, posX, posY, horizontal, vertical, objectTable)	
	if objectTable == nil then return;end;
	local a = Utils.getNoNil(table.getn(moSetGetGui.page[2].clickArea.mboBuyShowGui), 0);	
	moSetGetGui.page[2].clickArea.mboBuyShowGui[a+1] = { posX, posX+(horizontal), posY, posY+(vertical), objectTable };
end;